#-----------------------------------------------------------------------------
%define		dist		.ok
%define		shortname	%(echo %{name} | cut -d '-' -f1-2)
#-----------------------------------------------------------------------------
Name		:	mate-power-manager
Version		:	1.27.0
Release		:	14.4.0.0%{?dist}
Summary		:	MATE session daemon that acts as a policy agent on top of UPower
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GLPLv2
URL		:	http://pub.mate-desktop.org/releases/

Source0		:	%{name}-%{version}.tar.xz
#-----------------------------------------------------------------------------
BuildRequires	:	dbus-glib-devel
BuildRequires	:	cairo-devel
BuildRequires	:	glib-devel
BuildRequires	:	gtk3+
BuildRequires	:	intltool
BuildRequires	:	itstool
BuildRequires	:	libcanberra
BuildRequires	:	libgnome-keyring
BuildRequires	:	libnotify
BuildRequires	:	libsecret
BuildRequires	:	mate-panel
BuildRequires	:	upower-devel
BuildRequires	:	xrandr

Requires	:	pm-utils

Requires(post)	:	%{_bindir}/gtk-update-icon-cache
Requires(post)	:	%{_bindir}/update-desktop-database
Requires(post)	:	%{_bindir}/glib-compile-schemas
#-----------------------------------------------------------------------------
%description
MATE Power Manager is a MATE session daemon that acts as a
policy agent on top of UPower. It listens to system events
and responds with user-configurable actions.

MATE Power Manager comes in three main parts:

  - mate-power-manager:      the manager daemon itself
  - mate-power-preferences:  the control panel program, for configuration
  - mate-power-statistics:   the statistics graphing program

#-----------------------------------------------------------------------------
%files		-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_bindir}/%{name}
%{_bindir}/%{shortname}-preferences
%{_bindir}/%{shortname}-statistics
%{_sbindir}/%{shortname}-backlight-helper
%{_libexecdir}/mate-*-applet
%{_datadir}/applications/%{shortname}-*.desktop
%{_datadir}/dbus-1/services/org.mate*.service
%{_datadir}/glib-2.0/schemas/org.mate.power-manager.gschema.xml
%{_datadir}/help/*/%{name}/index.docbook
%{_datadir}/help/*/%{name}/legal.xml
%{_datadir}/help/*/%{name}/figures/*.{page,png}
%{_datadir}/icons/hicolor/*/apps/mate-*.png
%{_datadir}/icons/hicolor/scalable/apps/mate-*.svg
%{_datadir}/mate-panel/applets/org.mate.*.mate-panel-applet
%{_datadir}/%{name}/*.ui
%{_datadir}/%{name}/icons/hicolor/*/actions/*.png
%{_datadir}/%{name}/icons/hicolor/*/status/*.png
%{_datadir}/%{name}/icons/hicolor/scalable/actions/*.svg
%{_datadir}/%{name}/icons/hicolor/scalable/status/*.svg
%{_datadir}/%{name}/ui/*.xml
%{_datadir}/polkit-1/actions/org.mate.power.policy
%{_mandir}/man1/%{shortname}-*.1.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig
%{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor  2> /dev/null
%{_bindir}/update-desktop-database 2> /dev/null
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas 2> /dev/null

%postun
if [ "$1" = 0 ]; then
  mkdir -p %{_datadir}/icons/hicolor
  %{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor 2> /dev/null
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas/ 2> /dev/null
  %{_bindir}/update-desktop-database 2> /dev/null
  fi
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%version	\
	--disable-schemas-compile			\
	--disable-static				\
	

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
	
%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
